<?php get_header(); ?>
			<?php

			if(is_category() || is_day() || is_month() || is_year() || is_search()) { ?>
			  <h2 class="maintitle">
				<?php if (is_category()) { ?>
				<?php single_cat_title(''); ?>
				<?php } elseif (is_day()) { ?>
				Posts made on <strong><?php the_time('l, F jS, Y'); ?></strong>
				<?php } elseif (is_month()) { ?>
				Posts from <strong><?php the_time('F, Y'); ?></strong>
				<?php } elseif (is_year()) { ?>
				Posts from <strong><?php the_time('Y'); ?></strong>
				<?php } elseif (is_search()) { ?>
				Search Results for <strong>'<?php echo wp_specialchars($s); ?>'</strong>
				<?php } ?>
				</h2> 
		<?php }  ?>
		<?php if(is_category() && category_description() != '') {
		?>
		  <div class="catdesc"><?php 
				echo category_description(); 
			?></div>
		<?php } ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<h3 class="title"><?php the_title(); ?></h3>

	<div class="nfo">
	  <?php 
			$name = get_the_author_firstname() . ' ' . get_the_author_lastname();
			if($name == ' ') { $name = get_the_author(); }
		?>
	Posted by <a href="/authors/<?php the_author(); ?>"><?php echo $name; ?></a><br/>
	On <?php the_time('F jS, Y') ?> at <?php the_time('H:m') ?><br/><br/>

	<a href="<?php the_permalink() ?>">Permalink</a> | <a href="<?php trackback_url(); ?>">Trackback</a> | <a href="http://technorati.com/search.html?url=<?php the_permalink(); ?>">Links In</a> | <?php edit_post_link('Edit', '', '') ?><br/><br/>

	<?php comments_popup_link(__('No Comments | '), __('Comments (1) | '), __('Comments (%) | ')); ?><br/>
	Posted in <?php the_category(', ') ?> 
	</div>

	<div class="post">
		<div class="storycontent">
      <?php the_content(__('(more...)')); ?>
		</div>
    <div class="feedback">
	  <?php wp_link_pages(); ?>
		</div>
	</div>
	<?php comments_template(); // Get wp-comments.php template ?>
  <div class="clear"></div>
<?php endwhile; else: ?>

	<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>

<?php endif; ?>
      
<p class="postnavlink"><?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?></p>

<?php get_footer(); ?>
